> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Store Details



## OpenAPI

````yaml openapi.json get /branch/store/info
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /branch/store/info:
    parameters: []
    get:
      tags:
        - Branches
        - Stores
      summary: Store Details
      parameters:
        - name: storeId
          in: query
          required: false
          example: 9ab67f41-10c9-4f52-adfc-31f460980966
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '454'
            ETag:
              schema:
                type: string
              example: W/"1c6-2uQp6SDqGy8jeygUeMQ1dBu+LMo"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Tue, 24 Dec 2024 01:24:12 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Store Details - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      code:
                        type: string
                      phoneNumber:
                        type: string
                        format: utc-millisec
                      email:
                        type: string
                        format: email
                      website:
                        type: string
                      address:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      agents:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            firstName:
                              type: string
                            lastName:
                              type: string
                            email:
                              type: string
                              format: email
                            createdAt:
                              type: string
                              format: date-time
                      wallet:
                        type: object
                        properties:
                          id:
                            type: string
                          status:
                            type: string
                          bankName:
                            type: string
                          accountName:
                            type: string
                          accountNumber:
                            type: string
                            format: utc-millisec
                          bookedBalance:
                            type: integer
                          availableBalance:
                            type: integer
              example:
                status: true
                message: Operation is successful
                data:
                  id: b6ba5428-8b33-40a4-b3e2-b6b16ddc0c94
                  name: Lord Lamba Store
                  code: Store 5
                  phoneNumber: '2348123928345'
                  email: lord.lamba@market.com
                  website: www.lord.lamba.com
                  address: No 12, lambe area
                  createdAt: '2025-01-08T13:03:41.593Z'
                  agents:
                    - id: 5231edc7-95be-4913-8102-32400fe8b45b
                      firstName: Janet
                      lastName: Richard
                      email: richard.janet@yopmail.com
                      createdAt: '2025-01-08T13:02:01.549Z'
                  wallet:
                    id: af0ddd1f-95eb-4007-ae32-9f279130a3dd
                    status: ACTIVE
                    bankName: Xpress Wallet
                    accountName: Neyosoft/Lord Lamba Store
                    accountNumber: '4467533895'
                    bookedBalance: 0
                    availableBalance: 0
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````